Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516899 - [mysqld_t] SELinux is preventing mysqld from map access on the file /var/tmp/#sql_3f2_0.MAD
Summary: [mysqld_t] SELinux is preventing mysqld from map access on the file /var/tmp/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 14:16 UTC by Juan Orti Alcaine
Modified: 2018-01-02 16:48 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.19.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:48:45 UTC


Attachments (Terms of Use)

Description Juan Orti Alcaine 2017-11-23 14:16:39 UTC
SELinux is preventing mysqld from map access on the file /var/tmp/#sql_3f2_0.MAD.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that mysqld should be allowed map access on the #sql_3f2_0.MAD file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'mysqld' --raw | audit2allow -M my-mysqld
# semodule -X 300 -i my-mysqld.pp


Additional Information:
Source Context                system_u:system_r:mysqld_t:s0
Target Context                system_u:object_r:mysqld_tmp_t:s0
Target Objects                /var/tmp/#sql_3f2_0.MAD [ file ]
Source                        mysqld
Source Path                   mysqld
Port                          <Unknown>
Host                          argon
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.16.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     argon
Platform                      Linux argon 4.13.13-300.fc27.x86_64 #1 SMP Wed Nov
                              15 15:47:50 UTC 2017 x86_64 x86_64
Alert Count                   17650
First Seen                    2017-11-11 22:13:12 CET
Last Seen                     2017-11-23 15:14:18 CET
Local ID                      95668b2a-ee2d-408c-af4d-9c12f9661bed

Raw Audit Messages
type=AVC msg=audit(1511446458.705:349052): avc:  denied  { map } for  pid=1010 comm="mysqld" path="/var/tmp/#sql_3f2_0.MAD" dev="dm-0" ino=25314698 scontext=system_u:system_r:mysqld_t:s0 tcontext=system_u:object_r:mysqld_tmp_t:s0 tclass=file permissive=0


Hash: mysqld,mysqld_t,mysqld_tmp_t,file,map

Comment 1 Fedora Update System 2017-12-13 08:28:02 UTC
selinux-policy-3.13.1-283.18.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 2 Fedora Update System 2017-12-14 11:12:52 UTC
selinux-policy-3.13.1-283.18.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 3 Fedora Update System 2017-12-20 11:25:51 UTC
selinux-policy-3.13.1-283.19.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 4 Fedora Update System 2017-12-21 20:21:57 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8225c4e502

Comment 5 Fedora Update System 2018-01-02 16:48:45 UTC
selinux-policy-3.13.1-283.19.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.